{$V-}    { turns off the length checking }
{*********************************************************}
Function FilterStr (InpStr  : Lstr; Allowed : SOC) : Lstr;
{*********************************************************}

    Var  x : integer;

    begin
    if length(InpStr) > 0 then
        begin
        x := 1;
        repeat
            if InpStr[x] in Allowed then
                x := x + 1
              else
                delete (InpStr,x,1);
            until x > length(InpStr);
        end;
    FilterStr := InpStr;
    end;

{$V+}
